Geo::GDAL::FFI::Driver(3pm)

NAME
Geo::GDAL::FFI::Driver - A GDAL data access driver

SYNOPSIS

DESCRIPTION
A format driver. Use the Driver method of a Geo::GDAL::FFI object to obtain one.

METHODS

  GetName
 my $name = $driver->GetName;

Returns the name of the driver.

  Create
 my $name = $driver->Create($name, {Width => 100, ...});

Create a dataset. $name is the name for the dataset to create. Named arguments are the following.

"Width"
    Optional, but required to create a raster dataset.

"Height"
    Optional, default is the same as width.

"Bands"
    Optional, the number of raster bands in the dataset, default is one.

"DataType"
    Optional, the data type (a string) for the raster cells, default is 'Byte'.

"Source"
    Optional, the dataset to copy.

"Progress"
    Optional, used only in dataset copy, a reference to a subroutine. The subroutine is called with three arguments "($fraction, $msg, $data)", where $fraction is a number, $msg is a string, and $data is a pointer that is given as the progress data argument.

"ProgressData"
    Optional, used only in dataset copy, a reference.

"Strict"
    Optional, used only in dataset copy, default is false (0).

"Options"
    Optional, driver specific creation options, default is reference to an empty hash.

 my $name = $driver->Create($name, $width);

A simple syntax for calling Create to create a raster dataset.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>